std::experimental::is_abi_tag(3)

NAME
std::experimental::is_abi_tag - std::experimental::is_abi_tag

Synopsis
   Defined in header <experimental/simd>
   template< class T > (parallelism TS v2)
   struct is_abi_tag;
   If T is an ABI tag in the simd_abi namespace, provides the member constant value
   equal true. For any other type, value is false.

Template parameters
   T - a type to check
  Helper variable template
   template< class T > (parallelism TS v2)
   inline constexpr bool is_abi_tag_v = is_abi_tag<T>::value; Inherited from std::integral_constant

Member constants
   value true if T is an ABI tag type , false otherwise
   [static] (public static member constant)

Member functions
   operator bool converts the object to bool, returns value
                 (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type bool
   type std::integral_constant<bool, value>

Example
// Run this code
 #include <experimental/simd>
 #include <iostreams>
 int main()
 {
     namespace stdx = std::experimental;
     std::cout << stdx::is_abi_tag_v<stdx::simd_abi::scalar> << '\n';
     std::cout << stdx::is_abi_tag_v<int> << '\n';
 }

Output:
 true
 false

See also
   is_simd_flag_type checks if a type is a simd flag type
   (parallelism TS v2) (class template)